using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using HySoft.Common;

namespace HySoft.BaseCallCenter.Web.sysmanage
{
    public partial class dictionarytreeedit : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (Request.QueryString["getPuction"].ToString() == "Edit")
                {
                    getOrderInformerEdit(Request.QueryString["id"].ToString());
                }
            }
        }
        /// <summary>
        /// 初始化信息
        /// </summary>
        private void getOrderInformerEdit(string Flage)
        {
            DataTable dt = new DataTable();
            DataTable dtItems = new DataTable();
            string sql = "select * from T_Sys_DictionaryBase where F_DictionaryFlag='" + Flage + "'";
            dt = DBUtility.DbHelperSQL.Query(sql).Tables[0];
            if (dt.Rows.Count > 0)
            {
                F_DictionaryFlag.Text = dt.Rows[0]["F_DictionaryFlag"].ToString();
                F_DictionaryName.Text = dt.Rows[0]["F_DictionaryName"].ToString();
                F_Sort.Text = dt.Rows[0]["F_Sort"].ToString();
            }
        }
        /// <summary>
        /// 保存订单信息。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            HySoft.BaseCallCenter.Model.T_Sys_DictionaryBase orderModel = new Model.T_Sys_DictionaryBase();
            HySoft.BaseCallCenter.BLL.T_Sys_DictionaryBase orderBll = new BLL.T_Sys_DictionaryBase();
            try
            {
                orderModel.F_DictionaryFlag = F_DictionaryFlag.Text.Trim();
                orderModel.F_DictionaryName = F_DictionaryName.Text.Trim();
                orderModel.F_Sort = 0;
                orderModel.F_Describe = "";
                orderModel.F_State = "";
                if (F_Sort.Text.Trim() == "")
                {
                    orderModel.F_Sort = 0;
                }
                else
                {
                    try { orderModel.F_Sort = Convert.ToInt32(F_Sort.Text.Trim()); }
                    catch { orderModel.F_Sort = 0; }
                }
                
                if (Request.QueryString["getPuction"] == "Add")
                {
                    if (orderBll.Add(orderModel))
                    {
                        MessageBoxToWindow("新增成功", "新增提示", "success");
                    }
                    else
                    {
                        MessageBoxToWindow("新增失败,字典标志不能重复！", "新增提示！", "error");
                    }
                }
                if (Request.QueryString["getPuction"] == "Edit")
                {
                    orderModel.F_DictionaryFlag = Request.QueryString["id"];
                    if (orderBll.Update(orderModel))
                    {
                        MessageBoxToWindow("修改成功", "修改提示！", "success");
                    }
                    else
                    {
                        MessageBoxToWindow("修改失败,字典标志不能重复！", "修改提示！", "error");
                    }
                }
            }
            catch
            {
                MessageBoxToWindow("新增失败,字典标志不能重复！", "新增提示！", "error");
            }

        }

        #region 弹出对话框
        /// <summary>
        /// 弹出对话框
        /// </summary>
        /// <param name="title"></param>
        /// <param name="content"></param>
        /// <param name="type"></param>
        public void MessageBoxToWindow(string title, string content, string type)
        {
            string script = "";
            switch (type)
            {
                case "error"://失败
                    type = "error";
                    script = "<script type='text/javascript'>  $.ligerDialog.alert('" + title + "','" + content + "','" + type + "');</script>";
                    break;
                case "success"://成功
                    type = "info";
                    script = "<script type='text/javascript'> $.ligerDialog.alert('" + title + "','" + content + "','" + type + "',CloseThis);</script>";
                    break;
                case "catch"://异常
                    type = "warning";
                    script = "<script type='text/javascript'>  $.ligerDialog.alert('" + title + "','" + content + "','" + type + "');</script>";
                    break;
                default:
                    type = "question";
                    break;
            }
            ClientScript.RegisterClientScriptBlock(this.GetType(), "", script);
        }
        #endregion
    }
}